<template>
  <div class="user-posts-add-on">
    <i class="bi bi-chat-left-text me-2"></i>
    <router-link :to="route">{{ routeText }}</router-link>
  </div>
</template>

<script>
import { computed } from 'vue'

export default {
  name: 'UserPostsAddOn',
  props: {
    user: Object,
  },
  setup(props) {
    const route = computed(() => {
      return { name: 'forum-posts', query: { username: props.user.username } }
    })

    const routeText = computed(() => {
      return `${props.user.username}'s Posts (${props.user.properties.postCount})`
    })

    return {
      route,
      routeText,
    }
  },
}
</script>
